petsc-3.4.2 2013-07-02

# SNESLineSearchSetDamping

Sets the line search damping paramter.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESLineSearchSetDamping(SNESLineSearch linesearch,PetscReal damping)

### Input Parameters

linesearch -linesearch context
damping -The damping parameter

### Notes

The basic line search merely takes the update step scaled by the damping parameter. The use of the damping parameter in the l2 and cp line searches is much more subtle; it is used as a starting point in calculating the secant step. However, the eventual step may be of greater length than the damping parameter. In the bt line search it is used as the maximum possible step length, as the bt line search only backtracks.

### See Also

SNESLineSearchGetDamping()

Level:intermediate
Location:src/snes/linesearch/interface/linesearch.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages